Bug 717913 - [PEM] various flaws detected by Coverity
Summary: [PEM] various flaws detected by Coverity
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: nss
Version: 6.1
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: rc
: ---
Assignee: Elio Maldonado Batiz
QA Contact: Aleš Mareček
URL:
Whiteboard:
: 748011 (view as bug list)
Depends On:
Blocks: 806051
TreeView+ depends on / blocked
 
Reported: 2011-06-30 12:09 UTC by Michal Luscon
Modified: 2012-06-20 07:23 UTC (History)
6 users (show)

Fixed In Version: nss-3.13.3-5.el6
Doc Type: Bug Fix
Doc Text:
No documentation needed
Clone Of:
: 806051 (view as bug list)
Environment:
Last Closed: 2012-06-20 07:23:12 UTC
Target Upstream Version:


Attachments (Terms of Use)
proposed fix (3.97 KB, patch)
2011-08-31 11:09 UTC, Kamil Dudka
emaldona: review+
Details | Diff
Added defects between releases from rhel-6.2/rhel-6.3 (2.73 KB, text/plain)
2012-04-03 11:09 UTC, Pavel Raiskup
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0973 normal SHIPPED_LIVE Moderate: nss, nss-util, and nspr security, bug fix, and enhancement update 2012-06-19 19:28:14 UTC

Description Michal Luscon 2011-06-30 12:09:03 UTC
Description of problem:

/mozilla/security/nss/lib/ckfw/pem/util.c:209: - Dynamically allocated variable der is not freed above goto loser statements (lines #217, #225, ...).

Version-Release number of selected component (if applicable):
3.12.9-9

Additional info:
This defect was probably introduced by Red Hat patches.

Comment 6 Kamil Dudka 2011-08-31 11:09:35 UTC
Created attachment 520793 [details]
proposed fix

Comment 7 RHEL Program Management 2011-10-07 16:01:19 UTC
Since RHEL 6.2 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.

Comment 8 Kamil Dudka 2011-12-08 20:53:50 UTC
*** Bug 748011 has been marked as a duplicate of this bug. ***

Comment 11 Elio Maldonado Batiz 2012-03-16 01:19:27 UTC
Comment on attachment 520793 [details]
proposed fix

r+ from me. Need to rename if to follow new conventions.

Comment 13 Pavel Raiskup 2012-04-03 11:09:54 UTC
Created attachment 574826 [details]
Added defects between releases from rhel-6.2/rhel-6.3

I checked new scan results of nss-3.13.3-5.el6 and there is no PEM related
defect inside.  I seems this could be switched to VERIFIED.

But there have occurred another potential bugs between the version nss-3.12.10
from RHEL-6.2 and nss-3.13.3 in RHEL-6.3.  List of added defects is attached.
From this list it seems to be real the following bug:

    * nss-3.13.3/mozilla/security/nss/lib/ssl/ssl3con.c:8123:
        unitialized variable 'desc' when the goto target 'alert_loser' is
        followed from the line 7905.

Other added defects against el6.2 seem to be low-priority warnings for
programmers typos.  Because mentioned defect is not related to this BZ# it may
be considered to open new bug for it of course.

Comment 16 Elio Maldonado Batiz 2012-04-26 17:50:51 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
No documentation needed

Comment 20 errata-xmlrpc 2012-06-20 07:23:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0973.html


Note You need to log in before you can comment on or make changes to this bug.